Subject: Re: bug#52163: 28.0.60; visual-line-mode breaks C-a and C-e in extreme case

From: Phil Sainty <[email-masked]>
Date: Mon, 17 Jan 2022 00:08:19 +1300

On 2022-01-16 23:23, Eli Zaretskii wrote:
>> > In this scenario I would expect it to place the cursor on the
>> > final character of the original visual line, rather than the
>> > first character of the subsequent visual line.
>> 
> what would be the result of C-b after C-e in this case?

In that quoted suggestion of mine the C-e would have moved the cursor
to the position 1 character before the end of the visual line, so C-b
would move it an additional character backwards (as normal), leaving
it two chars from the visual end of the line.

My suggestion was predicated on an assumption that the user wouldn't
mind that unbreakable lines behaved differently (or rather that they
might consider that the benefit made the difference worthwhile).

(Again, I'm not pursuing this any further; I just wanted to answer
the question.)

-Phil